Page MenuHomePhabricator

efl_ui_single_selectable: add properties and events
ClosedPublic

Authored by bu5hm4n on Aug 20 2019, 11:12 PM.

Details

Summary

this commit adds 2 new features, a new event and a new property

The fallback property is usefull if you want to have a selection that always falls back
to some preconfigured things.
As a usecase, think about a list of languges where you can select the
languages you want to have. When everything is deselected, the list will
simply fallback to the preconfigured element (for example the language
configured before)

The event is annoncing that there was a change to the selection. The
event is allowed to be defered, it will be emitted once for a range of
selection elements that happened during one loop iteration. This is
usefull if you are interested in a general selection where you want to
know that we changed from a specific set of selected element to another
set of elements, without monitoring every selectable in the widget.

ref T8057

Depends on D9661

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 20 2019, 11:12 PM
cedric accepted this revision.Aug 21 2019, 11:45 AM
This revision is now accepted and ready to land.Aug 21 2019, 11:45 AM
zmike requested changes to this revision.Aug 23 2019, 10:51 AM

There's not actually a single change to src/tests/elementary/spec/efl_test_multi_selectable.c in this patch which has any relation to the rest of the patch despite the changes being significant. Can you break this out?

This revision now requires changes to proceed.Aug 23 2019, 10:51 AM
bu5hm4n updated this revision to Diff 24464.Aug 23 2019, 11:44 AM
bu5hm4n retitled this revision from efl_ui_single_selectable: add a fallback element to efl_ui_single_selectable: add properties and events.
bu5hm4n edited the summary of this revision. (Show Details)

update commit message

i tried to seperate the event addition from the fallback option, but the changes are so close to each other that its close to impossible to sperate the event changes from the fallback option changes in the collection

i think there was something cut off: the changes in the test suite are needed to reflect to the new behavior of the event.

zmike accepted this revision.Aug 23 2019, 12:10 PM
This revision is now accepted and ready to land.Aug 23 2019, 12:10 PM
Closed by commit rEFL43edd17f4130: efl_ui_single_selectable: add properties and events (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 26 2019, 5:44 AM
This revision was automatically updated to reflect the committed changes.